Subject: Re: [edu-team] Recording tutorials

From: Mirjam Kuehne <[email-masked]>
Date: Wed, 09 May 2012 09:37:52 +0200

Hi Benoit,

Just to let you know:: Russ suggested to use the Meetecho guys to record 
the tutorials in Vancouver. The secretariat has offered to organise this.

Scott, Radia, Alice, please let us know if you have any objections.

Regards,
Mirjam

On 20/4/12 3:24 PM, Benoit Claise wrote:
> Dear EDU-team,
>
> We discussed this issue during the
> http://trac.tools.ietf.org/group/iesg/trac/wiki/InformalAgenda.
> It went very smoothly.
> As advised by Russ, the next step is to contact you guys: so basically,
> how do we move forward?
>
> Would it make sense to run a little experiment?
> For example, to re-run one of the techtorials from Paris with webex
> recording on.
>
> Please let us know.
>
> Regards, Benoit.
>
>>
>> Well said.
>>
>> Note: what I mean by "video" in this context is simply the recording
>> of the presented slides/demo/whatever is "shared" by the PC, and not a
>> video camera filming someone presenting on stage.
>> Regarding video versus (ppt + slides), I favor the video for 2 reasons:
>> 1. When a demo is organized. We all know that a demo helps a lot in a
>> tutorial.
>> Example: we had a demo for YANG at Ithe ETF75. Without the video, it's
>> simply lost for the people who didn't attend.
>> Example: the demo Alice did some demos during her tools tutorials in
>> Paris. Lost again.
>> 2. With a video, the presenter doesn't have to tell on which slide he
>> is. He can even point things on the screen, or even write.
>>
>> In terms of what is required in terms of logistic, I simply use a PC
>> with a software phone on which webex can call me back, a blue tooth
>> headset, and that's it. Everything is recorded. And I make sure that I
>> repeat every questions/comments from the audience, if the audience is
>> not part of the call.
>>
>> Ok, what is the next step?
>> A discussion at the next IESG telechat, or does the EDU organizes
>> something else?
>>
>> Regards, Benoit.
>>> Short answer: I agree with Benoit.
>>>
>>> I agree that it would be good to have tutorial material available "on
>>> demand" rather than just during a meeting.
>>>
>>> It is almost impossible to follow even a single substantive WG (as in,
>>> lively mailing list, many many drafts) with a day job, and definitely
>>> gets to be impossible to understand many different WGs. Each WG comes
>>> up with its own jargon, a lot of what people post on mailing lists is
>>> based on confusion over other people's incoherent posts. I try very
>>> hard, on WGs I care about, to summarize email threads occasionally,
>>> and the amount of work it takes to understand a long thread on a topic
>>> I am an expert in, in my native language, is enormous. I usually
>>> cannot do it without actually picking up the phone and talking to some
>>> of the people posting on the thread.
>>>
>>> Imagine non-native English speakers, or someone trying to understand a
>>> new area? You can hardly fault someone for not realizing that
>>> something similar is being done in a different group. So your
>>> example of "Why not use X, or Y, or Z" is an excellent example that
>>> happens all the time. Very few people understand all three of X, Y
>>> and Z, or could possibly even realize there are 6 more things missing
>>> from the {X,Y,Z} set.
>>>
>>> One point of view is that if you care about a WG you should have read
>>> all the drafts and followed the mailing list, and there's no reason
>>> for anyone to spoon-feed you, and we shouldn't waste WG time or IETF
>>> resources helping people come up to speed.
>>>
>>> I tend to believe that taking the time to give an overview of the
>>> problem, perhaps alternatives that were discussed, and reasoning for
>>> the direction, and how it fits with other things, is valuable not only
>>> for the consumers of such information, but for the people who have to
>>> think the stuff through and organize it. And I believe that the
>>> cross-fertilization that would be facilitated would make everything
>>> better.
>>>
>>> An example...I'd been asked to be the security advisor for a
>>> particular WG (won't mention the name). They had a zillion
>>> incomprehensible drafts. I started with one incomprehensible draft.
>>> Started asking the authors questions, and even they didn't know the
>>> basic things that could perhaps have helped me understand the draft.
>>> They didn't remember anymore, or it was one of the coauthors that
>>> perhaps might be better able to answer (and when I tracked them down,
>>> was redirected into a loop back to people I'd already talked to). And
>>> these were very basic questions. I gave up. (and I was not the first
>>> security advisor for that group that gave up for the same reason).
>>>
>>> We all realize the need for fresh eyes to look at things, especially
>>> fresh eyes with different skills. It's not fair to make the fresh
>>> eyes have to do that much work to try to be helpful.
>>>
>>> So, I do see the need for easy ways to come up to speed on individual
>>> protocols, or entire WGs (what problems are you working on, how do all
>>> the drafts fit together, what synergies do you have with other WGs),
>>> or entire areas, etc. The RFCs are about being complete and
>>> describing every bit and byte, which is necessary in order to
>>> implement it, but is not a good thing to read in order to quickly come
>>> up to speed on something.
>>>
>>> One of the strengths of the IETF is that information is free. Other
>>> bodies get funded through charging for documents. So, how can IETF
>>> best provide "information" and not just "data", if you know what I
>>> mean.
>>>
>>> It's a hobby and passion of mine to help people learn, and to explore
>>> different media. Books, white papers, college courses, short
>>> presentations, etc.
>>>
>>> Now back to the suggestion of videoing tutorials. I don't see why it
>>> needs to be video'd. It would seem like audio plus slides might be
>>> all that's necessary, and might be a lot cheaper. Or there might be a
>>> way of presenting the material in written form that could be just as
>>> good or better.
>>>
>>> The advantage of written form is that it's easier to look things up
>>> (e.g., the tools tutorial -- I wouldn't want to have to fast forward
>>> through a long thing in order to see a demo of the one thing I wanted
>>> to figure out at that time). A disadvantage of recording things is
>>> that anyone that speaks (presenter, someone asking questions), might
>>> be embarrassed that something said off the cuff is preserved forever.
>>> So, again, thinking about how I'd want to learn tools...I don't think
>>> I'd want a 2 hour thing to review. I think I'd want a quick overview
>>> of what all the tools are, and then click on a link for a single tool
>>> for an overview of that tool, then clicking on things for more
>>> advanced features.
>>>
>>> I also think that WG chairs (or someone they appoint) should be
>>> responsible for summarizing long complicated email threads
>>> occasionally. In a way that makes everyone feel their points have
>>> been captured.
>>>
>>> Just brainstorming here..
>>>
>>> Radia
>>>
>>>
>>>
>>> On Mon, Apr 16, 2012 at 1:26 AM, Benoit Claise<[email-masked]> wrote:
>>>> Radia,
>>>>
>>>> Why not record the tutorials?
>>>>
>>>> For example, I wanted to attend the three tutorials, but couldn't
>>>> due to
>>>> conflicting meetings.
>>>> Sure the slides are posted, but it doesn't help in some cases. Let me
>>>> explain
>>>> - I attend the OAM tutorial. This one is mainly based on the slides,
>>>> so the
>>>> slides might be good enough.
>>>> - I wanted to attend the "Tools for Creating Internet-Drafts". The
>>>> demo in
>>>> there is the most interesting part... not in the slides obviously.
>>>> - I wanted to attend the "Newcomers Training", not the for slides,
>>>> but for
>>>> the experience shared by Scott Bradner.
>>>>
>>>> Next to my own education, I basically want to solve two problems
>>>>
>>>> 1. I (and I guess all of us) am regularly asked for advices on how to
>>>> approach the IETF, how to create a draft, etc...
>>>> I want a single pointer to a video. "Newcomers Training" and ""Tools
>>>> for
>>>> Creating Internet-Drafts" are the two best building blocks
>>>>
>>>> 2. What triggered this discussion about a potential YANG/NETCONF
>>>> tutorial is
>>>> a thought that Dan Romascanu and I had during the SCIM BOF.
>>>> Dan wrote about it:
>>>>
>>>> Right now I am sitting in a SCIM BOF, the author of the
>>>> introductory presentation rightly went through a series of slides 'why
>>>> not LDAP?' 'why not ...' to justify a new protocol and modeling
>>>> language
>>>> for the problems, and a 'why not NETCONF/YANG?' slide was missing (as I
>>>> think it would fit better than many other reviewed and rejected
>>>> solutions he candidly answered that he does not know what NETCONF and
>>>> YANG is. This must be fixed.
>>>>
>>>> While we can never blame someone who doesn't know, we should provide a
>>>> pointer to the knowledge. And let's face it "read all the documents at
>>>> http://tools.ietf.org/wg/netconf/ and
>>>> http://tools.ietf.org/wg/netmod/" just
>>>> doesn't work... while a two hours video would work, as a starting
>>>> point.
>>>>
>>>> My ideal envisioned solution would be a new tag under
>>>> http://datatracker.ietf.org/wg/<your-working-group>/, called
>>>> "tutorial".
>>>> This would be approved by EDU/IESG, to make sure that quality and
>>>> vendor
>>>> independence are present.
>>>> Proceeding this way, we don't even have to wait for physical
>>>> meetings to
>>>> record tutorials.
>>>>
>>>> How to do this?
>>>> I do this on regular basis in my company, i.e. I record my meetings
>>>> in webex
>>>> and post a link in a WIKI. So perfectly possible with webex.
>>>> Disclaimer: pushing the webex solution is not my goal here, even if I'm
>>>> Cisco. I just want to find a solution.
>>>> I discussed this with Alexa and Alice (who presented to the tools
>>>> tutorial)
>>>> at the last IETF.
>>>> Alexa's feedback was: there is apparently a drawback with webex that
>>>> we need
>>>> to be connected to the internet to be able to listen to a webex
>>>> recording.
>>>> Actually, I was able to download a .arf document that contained
>>>> video and
>>>> voice over. So that works fine.
>>>>
>>>> Three final thoughts
>>>> - Regarding "In the past, we've done tutorials twice in a row, so
>>>> that if
>>>> there is word of mouith from people that went to it, people that
>>>> missed it
>>>> can attend". If we proceed we proposed way, we could use the time
>>>> for other
>>>> tutorials
>>>> - As an OPS A.D., I would be more than happy to have tutorials for
>>>> all my
>>>> working groups.
>>>> - If the experiment is successful with tutorial, we could envision
>>>> to do the
>>>> same for the WG sessions, but one thing at the time for the moment...
>>>>
>>>> Regards, Benoit.
>>>>
>>>> In the past, we've done tutorials twice in a row, so that if there is
>>>> word of mouith from people that went to it, people that missed it can
>>>> attend. Also, feedback on a tutorial is usually best done immediately
>>>> after it was given...otherwise, attendees' memories fade.
>>>> So if you have comments, it would be great to give them right away.
>>>> Thanks,
>>>> Radia
>>>> On Sun, Apr 15, 2012 at 6:25 AM, Romascanu, Dan (Dan)
>>>> <[email-masked]> wrote:
>>>>
>>>> -----Original Message-----
>>>> From: Mirjam Kuehne [mailto:[email-masked]]
>>>>
>>>> If we are planning to repeat the OAM tutorial at the next (or another
>>>> future) IETF meeting, it would be great if you could then help to
>>>> review
>>>> and improve the material. The current slides are on the edu-team wiki:
>>>> http://wiki.tools.ietf.org/group/edu/wiki/IETF83
>>>>
>>>> [[DR]] I would be glad to do this. Please let me know in advance when
>>>> you decided to repeat the OAM tutorial.
>>>> Regards,
>>>> Dan
>>>> _______________________________________________
>>>> edu-team mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/edu-team
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> edu-team mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/edu-team
>>>>
>>>
>>
>>
>
> _______________________________________________
> edu-team mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/edu-team

---

From: Benoit Claise <[email-masked]>
Date: Wed, 09 May 2012 10:01:43 +0200

On 23/04/2012 16:29, Mirjam Kuehne wrote:
> Hi Benoit,
>
> I am sorry I still don't understand. Do you mean re-running and 
> recording one of the tutorials before the IETF in Vancouver?
Yes.

Regards, Benoit.
>
> Mirjam
>
> On 23/4/12 4:24 PM, Benoit Claise wrote:
>> Hi Mirjam,
>>
>> I now realized that I didn't express myself clearly.
>> I was actually thinking to re-running one of the techtorials before the
>> meeting in Paris, over the phone, as an experiment.
>>
>> Regards, Benoit.
>>> Hi Benoit,
>>>
>>> Yes, that is definitely a possibility. In most cases we offer the same
>>> tutorial two times in a row. So, we are thinking about providing the
>>> OAM tutorial again at the next IETF. But we need to confirm with the
>>> speakers first.
>>>
>>> Kind regards,
>>> Mirjam
>>>
>>> On 23/4/12 3:50 PM, Benoit Claise wrote:
>>>> Hi Mirjam,
>>>>
>>>> Thanks.
>>>> And what about re-running one of the techtorials from Paris with webex
>>>> recording on, in order to get some feedback?
>>>>
>>>> Regards, Benoit.
>>>>> Hi Benoit,
>>>>>
>>>>> Thanks for the follow-up and for the offer to set this up. And I
>>>>> didn't see any objections on the edu-team list. We are currently
>>>>> discussing the tutorials for the next IETF. We will let you know 
>>>>> which
>>>>> tutorial we think would be the most appropriate one for this
>>>>> experiment.
>>>>>
>>>>> Kind regards,
>>>>> Mirjam
>>>>>

---

From: Benoit Claise <[email-masked]>
Date: Wed, 09 May 2012 10:03:02 +0200

Hi Mirjam,

Great news.
By "record", I'm want to make sure that we mean: record the voice-over 
and the screen output,

Regards, Benoit.
> Hi Benoit,
>
> Just to let you know:: Russ suggested to use the Meetecho guys to 
> record the tutorials in Vancouver. The secretariat has offered to 
> organise this.
>